use Test::More tests => 1;
use strict;
use LWP::UserAgent;
use HTTP::Request;
use DE_EPAGES::Core::API::Script qw( RunScript );
use DE_EPAGES::Core::API::File qw (WriteFile DeleteFile);
use DE_EPAGES::Core::API::EpagesConfig qw( EpagesConfig );

sub Main {
    my $File = "$ENV{EPAGES_WEBROOT}/test.otf";
    my $Host = EpagesConfig()->get( 'DE_EPAGES::Object', 'SystemDomainName', 'localhost');
    my $URL = "http://$Host/WebRoot/test.otf";

    WriteFile( $File, \(), {create_directory=>1} );

    my $ua = LWP::UserAgent->new;
    my $req = HTTP::Request->new( GET => $URL);
    my $res = $ua->request($req);

    my $Found = $res->header('Content-Type');
    my $Expected = 'font/opentype';
    ok($Found eq $Expected, "$URL -> Content-Type: $Found");

    DeleteFile( $File );
    return;
}

RunScript(Sub=>\&Main, Debug=>1);
