/*
 * @copyright		© Copyright 2006-2010, epages GmbH, All Rights Reserved.
 *
 * @module			ep.ui.coverflow
 *
 * @revision		$Revision: 1.16.10.2 $
 */

jQuery.plugin( 'ep.ui.coverflow', ['ep.ui.core', 'jQuery.ui.widget', 'jQuery.support.flash', 'jQuery.compareVersion', 'ep.ui.slides'], function( $, undefined ){

	var shift	= Array.prototype.shift,

		swf		= location.protocol + '//' + location.host + ep.config.javascriptRoot + '/ep/ui/Coverflow.swf',

		uid		= 0,

		bridge	= function( self ){
			return (bridge[ self.id ] = {
				// get flash optimized data of images
				getData: function(){
					var result = [],
						caption = self.options.caption;

					self.images.each(function( i, item ){
						result.push([
							item.srcM,																					// medium image source
							caption && item.desc ? ep.scrunch(item.desc.replace(/\n/g," "),{length:40,ratio:0.5}) : "",			// image description
							"showProduct",																				// click display action
							"addToBasket",																				// click add to basket action
							false,																						// is map
							i																							// stack index number
						]);
					});

					return result;
				},
				// handle change event trigegr by flash
				change: function( i ){
					self.images.current( i );
				},
				// trigger show product action
				showProduct: function( i ){
					if( self.options.action ){
						self.images.trigger(self.options.action);
					}
				},
				// trigger add to basket action
				addToBasket: function( i ){
					var node = self.images.current().node,
						addToBasketLink;

					if( node ){
						addToBasketLink = $(node).closest("a").data("addToBasket");
						if( addToBasketLink ){
							$.ajax({
								type	: 'GET',
								url		: addToBasketLink,
								async	: false
							})
							.done(function(){
								window.location.href = location.protocol.toLowerCase() == "https:" ?
									ep.config.webUrlSsl :
									ep.config.webUrl;
							});
						}
					}

				}
			});
		};

	$.widget('ep.ui.Coverflow',{

		options: {
		//	action		: "slideshow",	// example: 'slideshow' / 'location'
			title		: "",
			images		: "img",
			caption		: false,

			count		: false,		// only for alternative/fallback html version
			autoplay	: true,			// only for alternative/fallback html version
			controls	: true,			// only for alternative/fallback html version
			delay		: 3000			// only for alternative/fallback html version
		},

		_create: function(){
			var self = this,
				o = self.options,
				imgs = self.images = ep.ui.imgData(o.images)
					.on("change.uiCoverflow", self.Proxy("_change") );

			// provide swf connection
			self.id = "cwf" + $.now() + "" + (++uid);
			bridge(self);

			// set title
			o.title = o.title || self.element.attr("title") || "";

			// check flash vs. alternative
			if( $.compareVersion($.support.flash,'9') >= 0 && imgs.length > 2 ){
				self.flash = $();
				self._buildFlash();
				self.element.addClass('Flashed')
					.removeClass('HideElement');
				$(window)
					.on('resize', self.Proxy('_buildFlash'));
			}
			else{
				self._buildHTML();
			}
		},

		_change: function(){
			var self = this;

			if( self.flash && self.flash[0] && self.flash[0].setCurrent ){
				self.flash[0].setCurrent( self.images.currentItem );
			}
		},

		_buildHTML: function(){
			var self = this,
				o = self.options;

			this.element
				.sub(ep)
				.uiSlides(this.options);
		},

		_buildFlash: function() {
			var self = this,
				//random string is necessary to avoid that the IE thinks he had not to render the flash again
				movie = $.browser.msie && parseInt($.browser.version) <= 8 ?
					swf + "?" + $.now()+(++uid) :
					swf;
				// flash object html string
				flash =	'<object ' +
							'name="' + self.id + '" ' +
							'id="' + self.id + '" ' +
							'type="application/x-shockwave-flash" ' +
							'data="' + movie + '" ' +
							'data-jsapi="ep.ui.Coverflow.flash" ' +
							'data-jscallback="getData" ' +
							'data-jschange="change" ' +
						'><param ' +
							'name="movie" ' +
							'value="' + movie + '" ' +
						'/><param ' +
							'name="allowscriptaccess" ' +
							'value="always"' +
						'/><param ' +
							'name="wmode" ' +
							'value="transparent" ' +
						'/><param ' +
							'name="swliveconnect" ' +
							'value="true" ' +
						'/></object>';

			// clear existing in DOM
			if( self.flash ){
				self.flash.remove();
			}
			// add to DOM
			self.flash = self.element
				.attr('title', self.options.title)
				.append(flash)
				.find('object');
		},

		destroy: function(){
			this.Inherited(arguments);
		}

	});

	// external public connetion for swf/flash actions
	$.extend(ep.ui.Coverflow, {
		flash: function(){
			return bridge[ shift.call(arguments) ][ shift.call(arguments) ].apply( bridge, arguments );
		}
	});

});