(function( undefined ){

	var FAKE = function(){
			var type = Array.prototype.shift.call(arguments);
			
			if( !FAKE[ type ] ){
				if( types[ type ] ){
					FAKE[ type ] = types[ type ];		
				}
				else{
					return;
				}
			}

			return FAKE[ type ].apply( FAKE[ type ], arguments );
		},
		
		types = {
		
			File: function( name, type, size ){
				return {
					constructor	: constructor('File'),
					fileName	: name || "example.jpg",
					name		: name || "example.jpg",
					fileType	: type || "image/jpeg",
					type		: type || "image/jpeg",
					size		: size || 1024
				};
			},
			
			HTMLInputElement: function( extend ){
				return $.extend({
					constructor	: constructor('HTMLInputElement'),
					nodeType	: 1,
					nodeName	: 'INPUT',
					getElementById: function(){
						return null
					},
					getElementsByName: function(){
						return [];
					},
					getElementsByTagName: function(){
						return [];
					},
					getElementsByClassName: function(){
						return [];
					}
				},extend);
			}
			
		},
		
		constructor = function( ObjectType ){
			var ret = function(){};
			
			ret.toString = function(){
				return '[object ' + ObjectType + 'Constructor]';
			}
			
			return ret;
		};

	
	// prepare toString check for fake objects
	var _toString = Object.prototype.toString;
	Object.prototype.toString = function(){
		var type,
			objectString;
	
		if( this.constructor )
			this.constructor.toString().replace(/^(\[object )(.*?)(Constructor)(\])$/, function( all, $1, $2, $3, $4 ){
				type = $2;
				objectString = $1+$2+$4;
				return all;
			});
		
		return FAKE[ type ] ? objectString : _toString.call(this);
	};
	
	// expose to global object
	window.FAKE = FAKE;

})();