-- #202
CREATE TABLE basket (
     basketid             integer  not null
,    shopid               integer  not null
,    customerid           integer  null
,    userid               integer  not null
,    lineitemcontainerid  integer  null
,    billingaddressid     integer  null
,    shippingaddressid    integer  null
,    shopaddressid        integer  null
,    isaddressok          bool  not null
,    istacok              bool  not null
,    orderguid            varchar(36)  null

,   constraint pk_basket                        primary key (basketid)
,   constraint fk_basket_basketid               foreign key (basketid)
        references object                           (objectid)
,   constraint fk_basket_lineitemcontainerid    foreign key (lineitemcontainerid)
        references lineitemcontainer                (lineitemcontainerid)
,   constraint fk_basket_userid                 foreign key (userid)
        references users                            (userid)
,   constraint fk_basket_billingaddressid       foreign key (billingaddressid)
        references address                          (addressid)
,   constraint fk_basket_shippingaddressid      foreign key (shippingaddressid)
        references address                          (addressid)
,   constraint fk_basket_shopid                 foreign key (shopid)
        references shop                             (shopid)
,   constraint fk_basket_shopaddressid          foreign key (shopaddressid)
        references address                          (addressid)
,   constraint fk_basket_customerid             foreign key (customerid)
        references customer                         (customerid)
)
GO
CREATE INDEX i_basket_user ON basket (userid)
GO
CREATE INDEX i_basket_shop ON basket (shopid)
GO
CREATE INDEX i_basket_customer ON basket (customerid)
GO
CREATE INDEX i_basket_billingaddressid ON basket (billingaddressid)
GO
CREATE INDEX i_basket_shippingaddressid ON basket (shippingaddressid)
GO
CREATE INDEX i_basket_shopaddress ON basket (shopaddressid)
GO
CREATE INDEX i_basket_lineitemcontainerid ON basket (lineitemcontainerid)
GO
