-- #103
CREATE TABLE shop (
     shopid               integer  not null
,    addressid            integer  null
,    taxmodel             bool  not null
,    addproductstyle      integer  not null
,    closedbymerchant     bool  not null
,    closedbyprovider     bool  not null
,    shoptyperefid        integer  null
,    lastmerchantlogin    datetime  null
,    istrialshop          bool  not null
,    isinternaltestshop   bool  not null
,    inputtaxmodel        bool  not null
,    vatreleased          bool  not null
,    acceptprivacypolicy  bool  not null
,    loginrequired2order  bool  not null
,    loginrequired2instantlyorder bool  not null
,    hascreatedinitialshorturls bool  not null
,    supermerchantid      integer  null

,   constraint pk_shop                          primary key (shopid)
,   constraint fk_shop_addressid                foreign key (addressid)
        references address                          (addressid)
,   constraint fk_shop_shopid                   foreign key (shopid)
        references site                             (siteid)
,   constraint fk_shop_shoptyperefid            foreign key (shoptyperefid)
        references shoptyperef                      (shoptyperefid)
,   constraint fk_shop_supermerchantid          foreign key (supermerchantid)
        references users                            (userid)
)
GO
CREATE INDEX i_shop_shoptyperef ON shop (shoptyperefid)
GO
CREATE INDEX i_shop_supermerchant ON shop (supermerchantid)
GO
CREATE INDEX i_shop_addressid ON shop (addressid)
GO
